package org.eclipse.cosmos.me.sdd.tooling.btg.aggregator.comparisons;

import java.util.Iterator;
import java.util.Vector;

import org.eclipse.cosmos.me.sdd.schema.InternalDependencyType;

public class InternalDependencyCompare
{

	protected static boolean equals(Vector<InternalDependencyType> ids, Vector<InternalDependencyType> ids2)
	{
		if (ids.size()!=ids2.size())
			return false;
		
		Iterator <InternalDependencyType> iter = ids.iterator();
		
		while (iter.hasNext())
		{
			InternalDependencyType o = iter.next();
			if (ids2.contains(o)==false)
				return false;
			else
				ids2.remove(o);
		}
		
		return true;
	}

}
